Package pygccxml :: Package declarations :: Module cpptypes :: Class reference_t

# type reference_t

source code

    object --+
             |
        type_t --+
                 |
        compound_t --+
                     |
                    reference_t

represents `whatever&` type

Instance Methods

__init__(self, base) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
Inherited from `compound_t`: `base` Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, base)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string